Bug 117232 - anaconda dies just before installing package: invalid context
anaconda dies just before installing package: invalid context
Status: CLOSED DUPLICATE of bug 117213
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 16:10 EST by Mike McLean
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:01:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2004-03-01 16:10:17 EST
* rawhide-20040301
* i386 and x86_64

Anaconda dies while the "Starting install process..." message is on
screen. Getting the following error messages on VC1.

/etc/security/selinux/src/policy/file_contexts/file_contexts:  invalid
context system_u:object_r:aliases_etc_t on line number 1038
/etc/security/selinux/src/policy/file_contexts/file_contexts:  invalid
context system_u:object_r:aliases_etc_t on line number 1039
/etc/security/selinux/src/policy/file_contexts/file_contexts:  invalid
context system_u:object_r:ntp_etc_t on line number 1099
Comment 1 Tim Waugh 2004-03-01 18:16:18 EST
Same as bug #117213.  I see these messages on VT1, and on VT3:

avc: denied { rmdir } for  pid=138 exe=/mnt/runtime/usr/bin/python
name=rpm dev=ram0 ino=171 scontext=system_u:object_r:anaconda_t
tcontext=system_u:object_r:file_t tclass=dir
avc: denied { read write } for  pid=138
exe=/mnt/runtime/usr/bin/python name=context dev= ino=5
scontext=system_u:object_r:anaconda_t
tcontext=system_u:object_r:security_t tclass=file
avc: denied { check_context } for  pid=138
exe=/mnt/runtime/usr/bin/python scontext=system_u:object_r:anaconda_t
tcontext=system_u:object_r:security_t tclass=security
avc: denied { create } for  pid=191 exe=/mnt/runtime/usr/bin/python
name=log scontext=system_u:object_r:anaconda_t
tcontext=system_u:object_r:file_t tclass=sock_file
avc: denied { unlink } for  pid=134 exe=/mnt/runtime/usr/X11R6/XFree86
name=X1 dev= ino=1461 scontext=system_u:object_r:anaconda_t
tcontext=system_u:object_r:ramfs_t tclass=sock_file

However, booting with 'selinux=0', the install dies in the same place
(inside ts.run).
Comment 2 Bill Nottingham 2004-03-02 01:13:27 EST

*** This bug has been marked as a duplicate of 117213 ***
Comment 3 Red Hat Bugzilla 2006-02-21 14:01:43 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.